org.appng.api.support

## Class SiteClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - org.appng.api.support.SiteClassLoader

- All Implemented Interfaces:
    Closeable, AutoCloseable, org.springframework.core.SmartClassLoader

      public class SiteClassLoader
      extends URLClassLoader
      implements org.springframework.core.SmartClassLoader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiteClassLoader(String site)`
    `SiteClassLoader(URL[] urls, ClassLoader parent, String site)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected void` | `finalize()`
    `String` | `getSiteName()`
    `boolean` | `isClassReloadable(Class<?> clazz)`
    `String` | `toString()`

    - ### Methods inherited from class java.net.URLClassLoader

      `addURL, definePackage, findClass, findResource, findResources, getPermissions, getResourceAsStream, getURLs, newInstance, newInstance`

    - ### Methods inherited from class java.security.SecureClassLoader

      `defineClass, defineClass`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SiteClassLoader

          public SiteClassLoader(URL[] urls,
                                 ClassLoader parent,
                                 String site)

    - #### SiteClassLoader

          public SiteClassLoader(String site)

  - ### Method Detail

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Object`
      Throws:
        `Throwable`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `URLClassLoader`
      Throws:
        `IOException`

    - #### isClassReloadable

          public boolean isClassReloadable(Class<?> clazz)

      Specified by:
        `isClassReloadable` in interface `org.springframework.core.SmartClassLoader`

    - #### getSiteName

          public String getSiteName()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.